%global dlrn_nvr python-dracclient-3.3.0-1.20201113205601.b5db9d8
%global dlrn 1
%define upstream_version 3.3.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}}

Name:           python-dracclient
Version: 3.3.0
Release: 1.20201113205601.b5db9d8%{?dist}
Summary:        Library for managing machines with Dell iDRAC cards.

License:        ASL 2.0
URL:            http://github.com/openstack/%{name}
Source0: python-dracclient-3.3.0-1.20201113205601.b5db9d8.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=b5db9d84d3aa98313c58869cb8570d0a9f1f2364


BuildArch:      noarch

%description
Library for managing machines with Dell iDRAC cards.

%package -n     python%{pyver}-dracclient
Summary:        Library for managing machines with Dell iDRAC cards.
%{?python_provide:%python_provide python%{pyver}-dracclient}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
# All this is required to run unit tests in check phase
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-requests

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-lxml
BuildRequires:  python-requests-mock
%else
BuildRequires:  python%{pyver}-lxml
BuildRequires:  python%{pyver}-requests-mock
%endif

Requires: python%{pyver}-requests

# Handle python2 exception
%if %{pyver} == 2
Requires: python-lxml
%else
Requires: python%{pyver}-lxml
%endif

%description -n     python%{pyver}-dracclient
Library for managing machines with Dell iDRAC cards.

%prep
%setup -q -n %{name}-%{upstream_version}
# Remove bundled egg-info
rm -rf %{name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{pyver_build}

%install
%{pyver_install}

%check
%{pyver_bin} -m unittest discover dracclient.tests

%files -n     python%{pyver}-dracclient
%doc README.rst LICENSE
%{pyver_sitelib}/dracclient*
%{pyver_sitelib}/python_dracclient*

%changelog
* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Add the ability to manage RAID settings
- Added ``bus`` attribute to PhysicalDisks for NVMe drives

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Create doc requirements.txt

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Switch from oslosphinx to openstackdocstheme

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix parsing for virtual disk RAIDStatus attribute

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix pointer to upper_constraints.txt

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fix .gitreview in stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 3.1.0-1
- Update patches
- Fixes some issues with zuulv3 changes

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 3.1.0-1
- Update to 3.1.0

